function calculateSalary() {
    // Get input values
    var age = parseInt(document.getElementById("age").value);
    var yearsWorking = parseInt(document.getElementById("yearsWorking").value);
    var job = document.getElementById("job").value;
    var workHour = parseInt(document.getElementById("workHour").value);
    var workWeek = parseInt(document.getElementById("workWeek").value);
    var netSalary = parseFloat(document.getElementById("netSalary").value);
    var calculationType = document.getElementById("calculationType").value;

    // Validate input
    if (isNaN(age) || isNaN(yearsWorking) || isNaN(workHour) || isNaN(workWeek) || isNaN(netSalary)) {
      alert("Please enter valid numbers");
      return;
    }

    // Calculate hourly, daily, monthly, and yearly salary
    var hourlySalary = netSalary / (workHour * workWeek * 4);
    var dailySalary = hourlySalary * workHour;
    var monthlySalary = hourlySalary * workHour * workWeek * 4;
    var yearlySalary = monthlySalary * 12;

    // Update the result table
    document.getElementById("hourly").innerText = "$" + hourlySalary.toFixed(2);
    document.getElementById("daily").innerText = "$" + dailySalary.toFixed(2);
    document.getElementById("monthly").innerText = "$" + monthlySalary.toFixed(2);
    document.getElementById("yearly").innerText = "$" + yearlySalary.toFixed(2);

    // Calculate total salary for the specified years of working
    var totalSalary = yearlySalary * yearsWorking;
    document.getElementById("title").innerText = "On your job as " + job + ", this is your salary overview:";
    document.getElementById("salaryYearsWorking").innerText = "For " + yearsWorking + " years working, your total salary is: ";
    document.getElementById("totalSalaryYearWorking").innerText = "$" + totalSalary.toFixed(2);
  }

  // Attach the function to the button click event
  document.getElementById("calculateButton").addEventListener("click", calculateSalary);